package com.lovecoding.day09.ex;

public class TestPerson {
    /*
    ### 1、Person、Student、Teacher类
    （1）声明父类：Person类
    - 包含属性：姓名，年龄，性别，属性私有化，
    - 包含get/set方法
    - 包含getInfo()方法：例如：姓名：张三，年龄：23，性别：男
    （2）声明子类：Student类，继承Person类
    - 新增属性：score成绩，属性私有化，
    - 包含get/set方法
    - 重写getInfo()方法：例如：姓名：张三，年龄：23，性别：男，成绩：89 不做

    （3）声明子类：Teacher类，继承Person类
    - 新增属性：salary薪资，属性私有化，
    - 包含get/set方法
    - 重写getInfo()方法：例如：姓名：张三，年龄：23，性别：男，薪资：10000 不做
    （4）在测试类的main方法中创建三个类的对象，并调用相应的方法测试
     */

    public static void main(String[] args) {

        Student student = new Student();
        student.setScore(90);
        student.setName("zs");
        student.setGender("男");
        student.setAge(12);
        student.getInfo();

        Teacher teacher = new Teacher();
        teacher.getInfo();


    }
}
